cURL
curl --request POST \ --url https://api.starfishdata.ai/v1/data \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "projectId": "<string>", "nextToken": "<string>" } '
{ "data": [ { "id": "<string>", "data": {}, "topic": "<string>", "accuracyScore": 123, "adherenceScore": 123, "qualityScore": 123 } ], "nextToken": "<string>", "averageQualityScore": 123, "success": true }
Retrieves generated data for a specific project with pagination support
Documentation IndexFetch the complete documentation index at: https://docs.starfishdata.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.starfishdata.ai/llms.txt
Use this file to discover all available pages before exploring further.
ID of the project to fetch data from
Pagination token for fetching next set of results
Successfully retrieved data
Show child attributes
Token for fetching next page of results
Average quality score of the dataset
Whether the request was successful